package com.ruoyi.web.modules.stock.domain;

/**
 * 商品出库单明细 biz_stock_outbound_item
 */
public class BizStockOutboundItem
{
    private Long itemId;

    private Long outboundId;

    private Long goodsId;

    private Long skuId;

    private String goodsName;

    private String mainPic;

    private String specText;

    private Integer quantity;

    private Integer stockBefore;

    private Integer stockAfter;

    public Long getItemId()
    {
        return itemId;
    }

    public void setItemId(Long itemId)
    {
        this.itemId = itemId;
    }

    public Long getOutboundId()
    {
        return outboundId;
    }

    public void setOutboundId(Long outboundId)
    {
        this.outboundId = outboundId;
    }

    public Long getGoodsId()
    {
        return goodsId;
    }

    public void setGoodsId(Long goodsId)
    {
        this.goodsId = goodsId;
    }

    public Long getSkuId()
    {
        return skuId;
    }

    public void setSkuId(Long skuId)
    {
        this.skuId = skuId;
    }

    public String getGoodsName()
    {
        return goodsName;
    }

    public void setGoodsName(String goodsName)
    {
        this.goodsName = goodsName;
    }

    public String getMainPic()
    {
        return mainPic;
    }

    public void setMainPic(String mainPic)
    {
        this.mainPic = mainPic;
    }

    public String getSpecText()
    {
        return specText;
    }

    public void setSpecText(String specText)
    {
        this.specText = specText;
    }

    public Integer getQuantity()
    {
        return quantity;
    }

    public void setQuantity(Integer quantity)
    {
        this.quantity = quantity;
    }

    public Integer getStockBefore()
    {
        return stockBefore;
    }

    public void setStockBefore(Integer stockBefore)
    {
        this.stockBefore = stockBefore;
    }

    public Integer getStockAfter()
    {
        return stockAfter;
    }

    public void setStockAfter(Integer stockAfter)
    {
        this.stockAfter = stockAfter;
    }
}
